package org.fremo.fredl.test;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.htmlunit.HtmlUnitDriver;
import org.openqa.selenium.support.ui.WebDriverWait;
import org.openqa.selenium.support.ui.ExpectedCondition;
import org.testng.Assert;
import org.testng.annotations.AfterClass;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;

public class BasicTest  {
        private WebDriver driver;
        private WebDriverWait wait;
	String URL = "https://0.fredldev.fremo-net.eu";

	@BeforeClass
	public void testSetUp() {
		
		driver = new HtmlUnitDriver(true);
                wait = new WebDriverWait(driver, 15);
	}
	
	@AfterClass
	public void tearDown() {
		driver.quit();
	}
	
	@Test
	public void verifyFredlPageTitle() {
		driver.navigate().to(URL);
		String getTitle = driver.getTitle();
		Assert.assertEquals(getTitle, "FREDL");
	}

	@Test
	public void verifyLoginAsSystemUser() {
		driver.navigate().to(URL);
                WebElement loginButton = wait.until(elementToBeClickable(By.name("doLogin")));

                driver.findElement(By.name("login")).sendKeys("system");
                driver.findElement(By.name("password")).sendKeys("system");
                loginButton.click();

                //driver.findElement(By.xpath("//input[@name='login']")).sendKeys("system");
                //driver.findElement(By.xpath("//input[@name='password']")).sendKeys("system");
                //driver.findElement(By.xpath("//input[@name='doLogin']")).submit();
                //wait.until(ExpectedConditions.ElementIsVisible(By.xpath("//input[@class='menu'][0]"));
                //wait.until(ExpectedConditions.ElementIsVisible(By.className("menu")));
                wait.until(ExpectedCondition.titleIs("FreDL"));
                //driver.switchTo().frame("oben");
                WebElement obenFrame = wait.until(ExpectedCondition.frameToBeAvailableAndSwitchToIt("oben"));

		String versionInfo = driver.findElement(By.xpath("/table/tr/td/b")).getText();
		String userInfo = driver.findElement(By.xpath("/table/tr/td[3]")).getText();
                System.out.println("Version info found: " + versionInfo);
                System.out.println("User info found: " + userInfo);
                driver.switchTo().frame("rechts");
		String welcomeMessage = driver.findElement(By.xpath("/h1")).getText();
                System.out.println("Welcome message is: " + welcomeMessage);
		Assert.assertEquals(welcomeMessage, "Willkommen bei FreDL");
	}
}
